/* Homepage Responsive Code */

@media screen and (min-width: 1600px){
    .med-pad{
        padding-left: 6rem !important;
        padding-right: 6rem !important;
    }
}

@media screen and (max-width: 1600px){
    .extra-pad{
        padding-left: 6rem !important;
        padding-right: 6rem !important;
    }
    .med-pad{
        padding-left: 4rem !important;
        padding-right: 4rem !important;
    }
    .sidebar-container{
        min-width: 80px !important;
        width: 80px !important;
    }
    .epnd-clpse-icon{
        display:none;
    }
}

@media screen and (max-width: 1440px){
    .left-line img,.right-line img{
        width: 18rem;
    }
    .box-line-1,.box-line-2,.box-line-3{
        display: none;
    }
    .extra-pad{
        padding-left: 4rem !important;
        padding-right: 4rem !important;
    }
    .med-pad{
        padding-left: 2rem !important;
        padding-right: 2rem !important;
    }
}

@media screen and (max-width: 1260px){
    .left-line img,.right-line img{
        display: none;
    }
}

@media screen and (max-width: 1200px){

    /* Clients Responsive Logo Code */
    .logos-container{
        background: var(--primary-shade);
    }
    .logos-container .client-logo{
        width: 6rem;
    }
    .logos-container .client-logo img{
     width: 100%;
    }
    .round-logo{
        width: 4rem !important;
    }
    .rect-logo{
        width: 10rem !important;
    }
}



@media screen and (min-width: 992px){
    .server-image-container{
        justify-content: flex-end !important;
    }
}

@media screen and (max-width: 992px){
    .data-flow{
        bottom: 20px;
    }
    .rev-col{
        flex-direction: column-reverse !important;
    }
    .res-col-m{
       margin: 50px 0;
    }
    .res-sal-space{
        margin-top: 12rem;
    }
    .graph-container{ 
        width: 15rem;
        top: 10px;
        z-index: -10000;
        left: 260px;
    }
    .navbar-nav{
        margin-top: 24px;
    }
    .auth-btns{
        margin-left: 0px;
        margin-top: 16px;
    }


    /* Pricing Page CSS */

    .pricing-heading{
        line-height: 64px;
        font-size: 3.2rem;
        margin-top: 2rem;
    }
    .pricing-container .col-lg-4{
        margin-top: 2rem;
        padding: 0 0;
    }
    /* Responsive top margin */
    .mt-res{
        margin-top: 4rem;
    }

}

@media screen and (max-width: 768px){
    .res-txt-left{
        text-align: left !important;
        margin-top:.8rem ;
    }
    .res-arrow-icon{
      margin-top: 10px;
      margin-left: 50px;
    }
    .browser .o-icons{
        width: 20px !important;
    }
    .browser .o-icons img{
        width: 100%;
    }
    .browser-circles {
        display: none !important;
    }
    .browser-content{
        padding: 0 !important;
    }
    .browser .terminal-text-container{
        margin-left: 0 !important;
    }
    .browser .terminal-txt{
        font-size: 1.1rem;
    }
    .browser .top-bar{
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    .hero-illustration{
        margin-top: 7rem !important;
    }

    /* Hiding Gradient Circles on 768px */
    .sm-hide{
        display: none !important ;
    }
    /* Hiding Gradient Circle Sign up page */
    .signup-gradient{
        display: none !important;
    }
    /* Display None on 768px */
    .d-none-768{
        display: none !important;
    }
    /* Show dashboard Menu Icon */
    .dash-menu-icon{
        display: block !important;
    }
    
    .sidebar-container{
        position: absolute !important;
        transform: translateX(-1000px);
        transition: .5s all;
        z-index: 100;
    }
    .sidebar-container-appear{
        transform: translateX(0px);
        transition: .5s all;
    }
    /* Hiding Dashboard greetings and navbar Link at 768px*/
    .user-dash-greetings,.vmware-sec-nav-link{
        display: none;
    }
    /* Closing dashboard sodebar icon */
    .dash-res-close-icon{
        display: block;
    }
}
@media screen and (max-width: 520px){
    .navbar-brand  img{
        height: 65px;
    }
    .graph-curve img{
        width: 100%;
    }
    .graph-curve{
        width: 25rem !important;
        top: -120px;
        left: 30px;
    }
     /* Clients Responsive Logo Code */
    .logos-container{
        background: var(--primary-shade);
    }
    .logos-container .client-logo{
        width: 5rem;
    }
    .logos-container .client-logo img{
     width: 100%;
    }
    .round-logo{
        width: 3rem !important;
    }
    .rect-logo{
        width: 9rem !important;
    }

    /* Decreasing the padding and font-size of main hero CTA */
    .hero-cta{
        padding: 10px 20px !important;
        font-size: .9rem !important; 
    }
    .gradient-circle{
        display: none !important ;
    }
    .res-hero-text{
        font-size: 1rem;
        padding: 0 14px;
    }
    
    /* Footer CSS */
    footer{
        padding: 0 1rem !important;
    }
    .footer .copyright-text-container{
        padding: 0 1rem !important;
    }
    .stroked-text {
        -webkit-text-stroke-width: 1px;
    }
    .graph-container{ 
        width: 8rem;
        top: 150px;
        z-index: -10000;
        left: 220px;
    }
    .testimonials-section .o-icons{
        width: 16px !important;
    }
    .testimonials-section .o-icons img{
        width: 100% !important;
    }
    .testimonials-section .top-bar{
        padding-left: 16px !important;
        padding-right: 16px !important;
    }
    .testimonials-section .terminal-txt{
        font-size: 1rem;
    }
    .testimonials-section .browser-para p {
        font-size: 1.05rem;
    }
    .testimonials-section .bottom-bar-text p{
        font-size: 1.1rem;
    }
    footer,.bottom-cta-section{
        border-radius: 25px 25px 0px 0px;
    }
    /* Extra Pad */
    .extra-pad{
        padding-left: 2rem !important;
        padding-right: 2rem !important;
    }
    .med-pad{
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
    .input-fields-container label{
        font-size: .9rem;
    }

    /* Signup Page Responsive CSS */
    .signup-form-container{
       margin: 50px 0;
    }
    .sign-up-illus-text-container{
        padding:0 1rem !important;
    }
    .sign-up-illus-text-container h2{
        font-size: 1.5rem !important;
        line-height: 36px;
    }

    /* General gradient Buttons throghout the wesbite */
    button[type="submit"] {
        font-size: 1rem;
        width: 100%;
    }

    /* Making the table rows invisible */
    .res-tbl-rw{
        display: none !important;
    }
    .quiz-leaderboard table thead th{
      font-size:1.1rem;
    }
    /* making the profile image smaller */
    .dash-profile-img{
        width: 40px;
        height: 40px;
    }
    .fs-6-6{
        font-size: 0.9rem;   
    }
    .head-pinner {
        top: -36px;
    }    
}

@media screen and (max-width: 460px) {
    .graph-curve img{
        width: 100%;
    }
    .graph-curve{
        width: 20rem !important;
        top: -95px;
        left: 30px;
    }
    .res-sal-space{
        margin-top: 8rem;   
    }
}

@media screen and (max-width: 380px) {
    .graph-curve img{
        width: 100%;
    }
    .graph-curve{
        width: 16rem !important;
        top: -78px;
        left: 30px;
    }
}